Module ij
Package ij.plugin

# Class Zoom

java.lang.Object
ij.plugin.Zoom

All Implemented Interfaces:
  `PlugIn`

public class Zoom extends Object implements PlugIn
This plugin implements the commands in the Image/Zoom submenu.

## Constructor Summary

Constructors
Constructor
Description
`Zoom()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`in(ImagePlus imp)`
`static void`
`maximize(ImagePlus imp)`
`static void`
`out(ImagePlus imp)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static void`
`set(ImagePlus imp, double magnification)`
`static void`
`set(ImagePlus imp, double magnification, int x, int y)`
`static void`
`toSelection(ImagePlus imp)`
`static void`
`unzoom(ImagePlus imp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Zoom

public Zoom()

## Method Details

### toSelection

public static void toSelection(ImagePlus imp)

### set

public static void set(ImagePlus imp, double magnification)

### set

public static void set(ImagePlus imp, double magnification, int x, int y)

### in

public static void in(ImagePlus imp)

### out

public static void out(ImagePlus imp)

### unzoom

public static void unzoom(ImagePlus imp)

### maximize

public static void maximize(ImagePlus imp)

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`